summaryrefslogtreecommitdiffstats
path: root/scripts/deblob-main
diff options
context:
space:
mode:
authorAlexandre Oliva <lxoliva@fsfla.org>2009-03-08 11:32:32 +0000
committerAlexandre Oliva <lxoliva@fsfla.org>2009-03-08 11:32:32 +0000
commit3deae3c1cc80a260bf143fb4ce6c588a9d7ed6d6 (patch)
tree3504f3bc792b34d2d459ae7481dcbb552bb9016a /scripts/deblob-main
parentff5ebc4829d1013c6389615a8dc1302e774b740d (diff)
downloadlinux-libre-raptor-3deae3c1cc80a260bf143fb4ce6c588a9d7ed6d6.tar.gz
linux-libre-raptor-3deae3c1cc80a260bf143fb4ce6c588a9d7ed6d6.zip
Tee output to .log file.
Diffstat (limited to 'scripts/deblob-main')
-rwxr-xr-xscripts/deblob-main11
1 files changed, 8 insertions, 3 deletions
diff --git a/scripts/deblob-main b/scripts/deblob-main
index 21c62ec10..fb9a0e4fb 100755
--- a/scripts/deblob-main
+++ b/scripts/deblob-main
@@ -1,6 +1,6 @@
#! /bin/sh
-# Copyright (C) 2008 Alexandre Oliva <lxoliva@fsfla.org>
+# Copyright (C) 2008, 2009 Alexandre Oliva <lxoliva@fsfla.org>
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -113,6 +113,11 @@ if test -f linux-$kver-$libre.patch; then
exit 1
fi
+if test -f linux-$kver-$libre.log; then
+ echo linux-$kver-$libre.log already exists >&2
+ exit 1
+fi
+
if test -f linux-$kver-$libre.xdelta; then
echo linux-$kver-$libre.xdelta already exists >&2
exit 1
@@ -173,8 +178,8 @@ echo Copying linux-$kver to linux-$kver-$libre
cp linux-$kver.tar linux-$kver-$libre.tar
cp -lR linux-$kver/. linux-$kver-$libre
-echo Deblobbing within linux-$kver-$libre
-if (cd linux-$kver-$libre && /bin/sh ../$deblob $force); then
+echo Deblobbing within linux-$kver-$libre, saving output to linux-$kver-$libre.log
+if (cd linux-$kver-$libre && /bin/sh ../$deblob $force) 2>&1 | tee -a linux-$kver-$libre.log; then
:
else
echo $deblob failed, aborting >&2
OpenPOWER on IntegriCloud